#### D.4.16.9 printFreeModule

Procedure from library `modules.lib` (see modules_lib).

Usage:
  printFreeModule(M); or M; M FreeModule

Return:
  nothing, prints a free Module

Example:

    LIB "modules.lib";
    ring r;
    int n=3;
    list l=1,2,3;
    freeModule(r,n,l);
    ==>  3
    ==> r
    ==> free Module
    ==> Degrees of the generators: {1} {2} {3}
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.